=== puredata/Makefile ===

OBJECTS = pdp_base.o pdp_imagebase.o pdp_dpd_base.o  pdp_ut.o  pdp_queue.o pdp_comm.o \
	pdp_control.o pdp_compat.o $(PDP_PDMOD)


include ../Makefile.config

all: $(OBJECTS)

clean:
	rm -f *~
	rm -f *.o
