=== modules/image_io/Makefile ===
current: all_modules

include ../../Makefile.config

# build optional modules
all_modules: $(PDP_OPTMOD)

clean:
	rm -f *~
	rm -f *.o
