=== modules/matrix_basic/Makefile ===
current: all_modules

include ../../Makefile.config

PDP_MOD = $(PDP_MATRIX_BASIC)

all_modules: $(PDP_MOD)

clean:
	rm -f *~
	rm -f *.o
