=== modules/test/Makefile ===
#current: all_modules
current: clean
include ../../Makefile.config

all_modules: pdp_forthtest.o

# build test modules
# all_modules: $(PDP_MOD)

clean:
	rm -f *~
	rm -f *.o
