=== opengl/include/Makefile ===
all:

clean:
	rm -rf *~
