=== opengl/modules/Makefile ===
include ../Makefile.config

all:	pdp_3d_windowcontext.o pdp_3d_draw.o pdp_3d_view.o \
	pdp_3d_push.o pdp_3d_light.o pdp_3d_dlist.o pdp_3d_color.o \
	pdp_3d_snap.o pdp_3d_drawmesh.o pdp_3d_for.o pdp_3d_state.o \
	pdp_3d_subcontext.o

clean:
	rm -rf *~ *.o
