=== debian/changelog ===
pdp (1:0.14.1+darcs20180201-2) unstable; urgency=medium

  * Fix FTCBFS (Closes: #912347)
    * Fix build/host confusion
    * Let dh_auto_build pass cross tools to make.
    Thanks to Helmut Grohne <helmut@subdivi.de>
  * Declare that "root" is not required for building this package
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 31 Oct 2018 09:49:53 +0100

pdp (1:0.14.1+darcs20180201-1) unstable; urgency=medium

  * New upstream version 0.14.1+darcs20180201

  * Refreshed patches
    * Dropped those applied upstream
    * Fixed spelling error in function declaration
  * Enabled full hardening
  * Adopted package into multimedia-team
  * Updated Vcs-* stanzas to salsa.d.o
  * Switched URLs to https://
  * Removed trailing whitespace in debian/*
  * Removed obsolete d/git-tuneclone.sh script
  * Updated d/copyright
    * Added d/copyright_hints
  * Bumped dh compat to 11
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 06 Feb 2018 14:48:40 +0100
