=== debian/watch ===
version=3

http://zwizwa.be/pd/pdp/pdp-([\d.]+)\.tar\.gz
